<template>
  <div class="main-app" :class="{ small: position == 'header' }">
    <div class="main-app__icon">
      <img src="~/assets/images/logotype-radius.svg" alt="" />
    </div>
    <div class="main-app__title">
      <template v-if="position == 'header'">
        {{ $t('app.download') }}
      </template>
      <template v-else>
        {{ $t('app.text') }}
      </template>
    </div>
    <div class="main-app__link">
      <div>
        <a
          href="https://play.google.com/store/apps/details?id=com.ulu.world"
          target="_blank"
          class="main-app__link-item"
        >
          Google Play
          <!-- <span>{{ $t('app.soon') }}</span> -->
        </a>
        <!-- <div class="main-app__link-sub">
          <nuxt-link to="/">Download .apk</nuxt-link>
        </div> -->
      </div>
      <div>
        <a
          href="https://apps.apple.com/us/app/ulu-photo-video-makers/id1547773907"
          target="_blank"
          class="main-app__link-item style-black"
        >
          App Store
          <!-- <span>{{ $t('app.soon') }}</span> -->
        </a>
      </div>
    </div>
  </div>
</template>

<script lang="ts">
import { defineComponent } from '@nuxtjs/composition-api'

export default defineComponent<{
  position: string
}>({
  name: 'MobileApp',
  props: ['position']
})
</script>

<style lang="scss" scoped>
.main-app {
  margin-bottom: 0px;
  text-align: center;
  $self: &;

  @media (min-width: 1199.98px) {
    text-align: left;
  }

  &.small {
    display: inline-block;
    #{ $self }__title {
      text-align: center;
      font-size: 24px;
      line-height: 33px;
      letter-spacing: 0px;
      color: #ffffff;
      margin-bottom: 35px;
    }
    #{ $self }__icon {
      img,
      svg {
        margin: 0 auto;
      }
    }
  }

  &__icon {
    margin-bottom: 20px;
    @media (min-width: 1199.98px) {
      margin-bottom: 30px;
    }
    img,
    svg {
      display: block;
      width: 96px;
      height: 96px;
      margin: 0 auto;
      @media (min-width: 1199.98px) {
        margin: 0;
      }
    }
  }

  &__title {
    font-size: 30px;
    line-height: 35px;
    color: #ffffff;
    margin-bottom: 35px;
    @media (min-width: 1199.98px) {
      font-size: 45px;
      line-height: 40px;
      margin-bottom: 50px;
      letter-spacing: -1.13px;
    }
  }

  &__link {
    > div {
      margin-bottom: 35px;

      &:last-child {
        margin-bottom: 0px;
      }
    }

    @media (min-width: 1199.98px) {
      display: flex;
      > div {
        margin-right: 30px;
        margin-bottom: 0px;
        &:last-child {
          margin-right: 0px;
        }
      }
    }

    &-sub {
      margin-top: 10px;
      a {
        display: block;
        color: #fff;
        font-size: 20px;
        line-height: 30px;
        text-align: center;
        text-decoration: underline;
      }
    }

    &-item {
      display: block;
      text-align: center;
      font-weight: 500;
      font-size: 24px;
      line-height: 33px;
      letter-spacing: 0px;
      color: #21283c;
      background: #ffffff;
      border-radius: 10px;
      padding: 18px 35px;
      position: relative;

      span {
        position: absolute;
        top: -13px;
        left: 50%;
        transform: translateX(-50%);
        color: #fff;
        font-size: 14px;
        line-height: 14px;
        letter-spacing: 1.3px;
        text-transform: uppercase;
        font-weight: bold;
        border-radius: 5px;
        background: #0093fd;
        padding: 5px 10px;
      }

      &.style {
        &-black {
          color: #fff;
          background: #000000;
        }
      }
    }
  }
}
</style>
